<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="kr.gmtc.gw.eyegw.db1.EaiProcMapper">

    <select id="callProcAmos" parameterType="hashmap" statementType="CALLABLE" resultType="hashmap">
        <![CDATA[
         call PROC_EAI_INTRFC_AMOS_NEW(
            #{ar_dt, mode=IN, jdbcType=VARCHAR}
            ,#{ret_minDt, mode=OUT, jdbcType=VARCHAR}
			,#{ret_procCnt, mode=OUT, jdbcType=INTEGER}
            )
        ]]>
    </select>
    
    <select id="callProcNotam" parameterType="hashmap" statementType="CALLABLE" resultType="hashmap">
        <![CDATA[
         call PROC_EAI_INTRFC_AFTNFLTINFO_RCV_NEW(
            #{ar_dt, mode=IN, jdbcType=VARCHAR}
            ,#{ret_minDt, mode=OUT, jdbcType=VARCHAR}
			,#{ret_procCnt, mode=OUT, jdbcType=INTEGER}
            )
        ]]>
    </select>
    
    <select id="callProcArtsArr" parameterType="hashmap" statementType="CALLABLE" resultType="hashmap">
        <![CDATA[
         call PROC_EAI_INTRFC_ARTS_ARR_NEW(
            #{ar_dt, mode=IN, jdbcType=VARCHAR}
            ,#{ret_minDt, mode=OUT, jdbcType=VARCHAR}
			,#{ret_procCnt, mode=OUT, jdbcType=INTEGER}
            )
        ]]>
    </select>
    
    <select id="callProcArtsDep" parameterType="hashmap" statementType="CALLABLE" resultType="hashmap">
        <![CDATA[
         call PROC_EAI_INTRFC_ARTS_DEP_NEW(
            #{ar_dt, mode=IN, jdbcType=VARCHAR}
            ,#{ret_minDt, mode=OUT, jdbcType=VARCHAR}
			,#{ret_procCnt, mode=OUT, jdbcType=INTEGER}
            )
        ]]>
    </select>
    
    <select id="callProcAcdmArr" parameterType="hashmap" statementType="CALLABLE" resultType="hashmap">
        <![CDATA[
         call PROC_EAI_INTRFC_ACDM_ARR_NEW(
            #{ar_dt, mode=IN, jdbcType=VARCHAR}
            ,#{ret_minDt, mode=OUT, jdbcType=VARCHAR}
			,#{ret_procCnt, mode=OUT, jdbcType=INTEGER}
            )
        ]]>
    </select>
    
 	<select id="callProcAcdmDep" parameterType="hashmap" statementType="CALLABLE" resultType="hashmap">
        <![CDATA[
         call PROC_EAI_INTRFC_ACDM_DEP_NEW(
            #{ar_dt, mode=IN, jdbcType=VARCHAR}
            ,#{ret_minDt, mode=OUT, jdbcType=VARCHAR}
			,#{ret_procCnt, mode=OUT, jdbcType=INTEGER}
            )
        ]]>
    </select>
    
    <select id="callProcGam" parameterType="hashmap" statementType="CALLABLE" resultType="hashmap">
        <![CDATA[
         call PROC_EAI_INTRFC_GAM_NEW(
            #{ar_dt, mode=IN, jdbcType=VARCHAR}
            ,#{ret_minDt, mode=OUT, jdbcType=VARCHAR}
			,#{ret_procCnt, mode=OUT, jdbcType=INTEGER}
            )
        ]]>
    </select>

     <select id="callProcAll" parameterType="hashmap" statementType="CALLABLE" resultType="hashmap">
        <![CDATA[
         call PROC_EAI_INTRFC_ALL(
            #{ret_minDt, mode=OUT, jdbcType=VARCHAR}
			,#{ret_arts_arr_cnt, mode=OUT, jdbcType=INTEGER}
            ,#{ret_arts_dep_cnt, mode=OUT, jdbcType=INTEGER}
            ,#{ret_acdm_arr_cnt, mode=OUT, jdbcType=INTEGER}
            ,#{ret_acdm_dep_cnt, mode=OUT, jdbcType=INTEGER}
            ,#{ret_gam_cnt, mode=OUT, jdbcType=INTEGER}
            )
        ]]>
    </select>
   
</mapper>